"\n"
"==========================================================\n"
"General configuration information for ViSP 3.5.0\n"
"\n"
"  Version control:               unknown\n"
"\n"
"  Platform:\n"
"    Timestamp:                   2023-02-16T00:14:20Z\n"
"    Host:                        Linux 5.15.0-1022-aws x86_64\n"
"    CMake:                       3.20.2\n"
"    CMake generator:             Unix Makefiles\n"
"    CMake build tool:            /usr/bin/gmake\n"
"    Configuration:               Release\n"
"\n"
"  C/C++:\n"
"    Built as dynamic libs?:      yes\n"
"    C++ Compiler:                /usr/bin/c++  (ver 8.5.0)\n"
"    C++ flags (Release):         -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -Wall -Wextra -fopenmp -std=c++17 -fvisibility=hidden -msse2 -msse3 -mssse3 -fPIC -DNDEBUG\n"
"    C++ flags (Debug):           -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -Wall -Wextra -fopenmp -std=c++17 -fvisibility=hidden -msse2 -msse3 -mssse3 -fPIC -g\n"
"    C Compiler:                  /usr/bin/cc\n"
"    C flags (Release):           -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -Wall -Wextra -fopenmp -std=c++17 -fvisibility=hidden -msse2 -msse3 -mssse3 -fPIC -DNDEBUG\n"
"    C flags (Debug):             -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -Wall -Wextra -fopenmp -std=c++17 -fvisibility=hidden -msse2 -msse3 -mssse3 -fPIC -g\n"
"    Linker flags (Release):      -Wl,-z,relro  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld\n"
"    Linker flags (Debug):        -Wl,-z,relro  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld\n"
"\n"
"  ViSP modules:\n"
"    To be built:                 core gui imgproc io java_bindings_generator klt me sensor ar blob robot visual_features vs vision detection mbt tt tt_mi\n"
"    Disabled:                    -\n"
"    Disabled by dependency:      -\n"
"    Unavailable:                 java\n"
"\n"
"  Python (for build):            /usr/bin/python3.6\n"
"\n"
"  Java:                          \n"
"    ant:                         NO\n"
"    JNI:                         NO\n"
"\n"
"  Build options: \n"
"    Build deprecated:            yes\n"
"    Build with moment combine:   no\n"
"\n"
"  Mathematics: \n"
"    Blas/Lapack:                 yes\n"
"    \\- Use MKL:                  no\n"
"    \\- Use OpenBLAS:             no\n"
"    \\- Use Atlas:                no\n"
"    \\- Use Netlib:               yes (ver 3.8.0)\n"
"    \\- Use GSL:                  no\n"
"    \\- Use Lapack (built-in):    no\n"
"    Use Eigen3:                  yes (ver 3.3.4)\n"
"    Use OpenCV:                  yes (ver 3.4.6)\n"
"\n"
"  Simulator: \n"
"    Ogre simulator: \n"
"    \\- Use Ogre3D:               no\n"
"    \\- Use OIS:                  no\n"
"    Coin simulator: \n"
"    \\- Use Coin3D:               no\n"
"    \\- Use SoWin:                no\n"
"    \\- Use SoXt:                 no\n"
"    \\- Use SoQt:                 no\n"
"    \\- Use Qt5:                  no\n"
"    \\- Use Qt4:                  no\n"
"    \\- Use Qt3:                  no\n"
"\n"
"  Media I/O: \n"
"    Use JPEG:                    yes (ver 62)\n"
"    Use PNG:                     yes (ver 1.6.34)\n"
"    \\- Use ZLIB:                 yes (ver 1.2.11)\n"
"    Use OpenCV:                  yes (ver 3.4.6)\n"
"    Use stb_image (built-in):    no\n"
"\n"
"  Real robots: \n"
"    Use Afma4:                   no\n"
"    Use Afma6:                   no\n"
"    Use Franka:                  no\n"
"    Use Viper650:                no\n"
"    Use Viper850:                no\n"
"    Use Kinova Jaco:             no\n"
"    Use aria (Pioneer):          no\n"
"    Use PTU46:                   no\n"
"    Use Biclops PTU:             no\n"
"    Use Flir PTU SDK:            no\n"
"    Use Parrot ARSDK:            no\n"
"    \\-Use ffmpeg:                no\n"
"    Use Virtuose:                no\n"
"    Use qbdevice (built-in):     yes (ver 2.6.0)\n"
"    Use takktile2 (built-in):    yes (ver 1.0.0)\n"
"\n"
"  GUI: \n"
"    Use X11:                     yes\n"
"    Use GTK:                     no\n"
"    Use OpenCV:                  yes (ver 3.4.6)\n"
"    Use GDI:                     no\n"
"    Use Direct3D:                no\n"
"\n"
"  Cameras: \n"
"    Use DC1394-2.x:              no\n"
"    Use CMU 1394:                no\n"
"    Use V4L2:                    yes (ver 1.14.2)\n"
"    Use directshow:              no\n"
"    Use OpenCV:                  yes (ver 3.4.6)\n"
"    Use FLIR Flycapture:         no\n"
"    Use Basler Pylon:            no\n"
"    Use IDS uEye:                no\n"
"\n"
"  RGB-D sensors: \n"
"    Use Realsense:               no\n"
"    Use Realsense2:              no\n"
"    Use Occipital Structure:     no\n"
"    Use Kinect:                  no\n"
"    \\- Use libfreenect:          no\n"
"    \\- Use libusb-1:             no\n"
"    \\- Use pthread:              yes\n"
"    Use PCL:                     no\n"
"    \\- Use VTK:                  no\n"
"\n"
"  F/T sensors: \n"
"    Use atidaq (built-in):       no\n"
"    Use comedi:                  no\n"
"    Use IIT SDK:                 no\n"
"\n"
"  Detection: \n"
"    Use zbar:                    no\n"
"    Use dmtx:                    no\n"
"    Use AprilTag (built-in):     yes (ver 3.1.1)\n"
"    \\- Use AprilTag big family:  no\n"
"\n"
"  Misc: \n"
"    Use Clipper (built-in):      yes (ver 6.4.2)\n"
"    Use pugixml (built-in):      yes (ver 1.9.0)\n"
"    Use libxml2:                 yes (ver 2.9.7)\n"
"\n"
"  Optimization: \n"
"    Use OpenMP:                  yes\n"
"    Use pthread:                 yes\n"
"    Use pthread (built-in):      no\n"
"    Use cxx standard:            17\n"
"\n"
"  DNN: \n"
"    Use CUDA Toolkit:            no\n"
"    Use TensorRT:                no\n"
"\n"
"  Documentation: \n"
"    Use doxygen:                 yes\n"
"\n"
"  Tests and samples:\n"
"    Use catch2 (built-in):       yes (ver 2.13.7)\n"
"    Tests:                       yes\n"
"    Demos:                       yes\n"
"    Examples:                    yes\n"
"    Tutorials:                   yes\n"
"\n"
"  Install path:                  /opt/ros/rolling\n"
"\n"
"==========================================================\n"
